POST api/contractItemapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

ContractItemViewModel
NameDescriptionTypeAdditional information
item_descriptions

Dictionary of string [key] and string [value]

None.

item_code

string

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

contract_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "item_descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "item_code": "sample string 1",
  "selected_sticker_id": "fae7641c-4bd3-41b8-a22f-b1d083e30dec",
  "selected_nameplate_id": "ad0f392f-c4b8-4d26-8e4d-897b2dc4179a",
  "active": true,
  "contract_id": "241b95f6-93d8-4320-a308-7e35adfde0ed",
  "id": "08d84de8-4b2b-4e40-b837-0e8867d027ca",
  "physical_item_id": "8e73cfb8-9438-4c39-8b54-5ad74d8f7648",
  "service_item_id": "9d17f781-2145-4a60-afa6-1e965f1920c4",
  "item_wash_max": 1,
  "quantity": 1
}

application/xml, text/xml

Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <contract_id>241b95f6-93d8-4320-a308-7e35adfde0ed</contract_id>
  <id>08d84de8-4b2b-4e40-b837-0e8867d027ca</id>
  <item_wash_max>1</item_wash_max>
  <physical_item_id>8e73cfb8-9438-4c39-8b54-5ad74d8f7648</physical_item_id>
  <quantity>1</quantity>
  <service_item_id>9d17f781-2145-4a60-afa6-1e965f1920c4</service_item_id>
  <item_code>sample string 1</item_code>
  <item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </item_descriptions>
  <selected_nameplate_id>ad0f392f-c4b8-4d26-8e4d-897b2dc4179a</selected_nameplate_id>
  <selected_sticker_id>fae7641c-4bd3-41b8-a22f-b1d083e30dec</selected_sticker_id>
</contract_item>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"5df9dbda-9035-46bd-9a02-e1470116b2a9"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">5df9dbda-9035-46bd-9a02-e1470116b2a9</guid>